.btn {
  display: inline-block;
  padding: 8px 16px;
  font-size: 12px;
  margin-bottom: 0;
  font-stretch: normal;
  font-weight: 500;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  cursor: pointer;
  border-radius: $borderRadius;
  font-family: $robotFont;
  min-width: 100px;
}

.btn:focus {
  outline: none;
  box-shadow: none;
}

.btn-primary {
  background-color: var(--colorPrimary);
  border-color: var(--colorPrimary);

  &:hover {
    background-color: var(--primaryBtnHover);
    border-color: var(--primaryBtnHover);
  }

  &:focus {
    background-color: var(--primaryBtnFocus);
    border-color: var(--primaryBtnFocus);
  }
}
.btn-primary.disabled,
.btn-primary:disabled {
  background-color: var(--colorPrimary);
  border-color: var(--colorPrimary);
  opacity: 0.4;
}
.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  background-color: var(--primaryBtnFocus);
  border-color: var(--primaryBtnFocus);
  box-shadow: none;
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-secondary {
  background: var(--btnSecondary);
  border: 1px solid var(--btnSecondary) !important;
  transition: background 0.3s linear 0s;
  color: var(--secoundaryBtn) !important;
  border: none;

  &:hover {
    background: var(--secoundaryBtnHover);
    border: 1px solid var(--secoundaryBtnHover);
    transition: background 0.3s linear 0s;
    color: var(--secoundaryBtn);
  }
  .btn-secondary:hover i {
    color: var(--secoundaryBtn) !important;
  }
  &:focus {
    color: var(--secoundaryBtn);
    outline: none;
    background: #c3c7cc;
  }
}
.btn-secondary {
  background: var(--btnSecondary);
  color: #475466;
  border-color: var(--btnSecondary);
  &:hover {
    background: #d2d6db;
    color: #475466;
    border-color: var(--btnSecondary);
  }
  &:focus {
    color: #475466;
    outline: none;
    background: #c3c7cc;
  }
}

.btn-secondary.disabled,
.btn-secondary:disabled {
  background: var(--btnSecondary);
  border-color: var(--btnSecondary);
  opacity: 0.4;
  color: #475466;
}
.btn-secondary:not(:disabled):not(.disabled):active,
.btn-secondary:not(:disabled):not(.disabled).active,
.show > .btn-secondary.dropdown-toggle {
  box-shadow: none;
  background: #c3c7cc;
  border-color: #c3c7cc;
  color: #475466;
}
.btn-secondary:not(:disabled):not(.disabled):active:focus,
.btn-secondary:not(:disabled):not(.disabled).active:focus,
.show > .btn-secondary.dropdown-toggle:focus {
  box-shadow: none;
}
.btn-orange {
  background: $dangerFont;
  color: #fff !important;
}
.btn-danger {
  background-color: var(--dangerFont);
  border-color: var(--dangerFont);

  &:hover {
    background-color: #cc1e1e;
    border-color: #cc1e1e;
  }
  &:focus {
    background-color: #b31a1a;
    border-color: #b31a1a;
  }
}
.btn-danger.disabled,
.btn-danger:disabled {
  background-color: #cc1e1e;
  border-color: #cc1e1e;
  opacity: 0.4;
}
.btn-danger:not(:disabled):not(.disabled):active,
.btn-danger:not(:disabled):not(.disabled).active,
.show > .btn-danger.dropdown-toggle {
  background-color: #b31a1a;
  border-color: #b31a1a;
  box-shadow: none;
}

.btn-danger:not(:disabled):not(.disabled):active:focus,
.btn-danger:not(:disabled):not(.disabled).active:focus,
.show > .btn-danger.dropdown-toggle:focus {
  box-shadow: none;
}
